/*
 * SPDX-FileCopyrightText: Copyright (c) 2022-2023 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef HOLOSCAN_VIZ_HOLOVIZ_DEPTH_MAP_RENDER_MODER_HPP
#define HOLOSCAN_VIZ_HOLOVIZ_DEPTH_MAP_RENDER_MODER_HPP

#include <cstdint>

namespace holoscan::viz {

/**
 * Depth map render mode.
 */
enum class DepthMapRenderMode {
  POINTS,    ///< render points
  LINES,     ///< render lines
  TRIANGLES  ///< render triangles
};

}  // namespace holoscan::viz

#endif /* HOLOSCAN_VIZ_HOLOVIZ_DEPTH_MAP_RENDER_MODER_HPP */
